{% extends "base.html" %}
{% load i18n %}
{% load static from staticfiles %}
{% load url from future %}

{% block title %}
    {{ block.super }} Menu
{% endblock %}

{% block content %}
    {{ block.super }}

    <h2 style="align:center;">Advanced search</h2>

<form action="" method="post">{% csrf_token %}
{{ form.as_p }}
<input type="submit" value="Submit" />
<input type="reset" name="reset" value="Reset" />
</form>

    {% if message %}
        <div>
            <small>
                {{ message|linebreaks }}
            </small>
        </div>
    {% endif %}
    <hr>
    {% if display_rss %}
        <a href="{% url 'future_rss' %} ">RSS</a>
    {% endif %}
        {% if user.is_authenticated %}

            <ul class="nav nav-tabs" role="tablist" id="myTab">
                <li role="presentation" class="active"><a href="#found_events" role="tab" data-toggle="tab">
                    Events <span class="badge">{{ nb_events_found|default_if_none:'O' }}</span></a></li>
                <li role="presentation"><a href="#found_ann" role="tab" data-toggle="tab">
                    Announces <span class="badge">{{ nb_announces_found|default_if_none:'O' }}</span></a></li>
                <li role="presentation"><a href="#found_cals" role="tab" data-toggle="tab">
                    Calendars <span class="badge">{{ qs_calendars.count|default_if_none:'O' }}</span></a></li>
                <li role="presentation"><a href="#found_orgs" role="tab" data-toggle="tab">
                    Organisms <span class="badge">{{ qs_orgs.count|default_if_none:'O' }}</span></a></li>
            </ul>

                        Your calendar is related to: "
            {% if user.userprofile.my_default_subscription.description %}
                <a href="{% url 'detail_subscription' user.userprofile.my_default_subscription.id %}">
                    {% if user.userprofile.my_default_subscription.email %}
                        {{ user.userprofile.my_default_subscription.email }}
                        <i>{{ user.userprofile.my_default_subscription.description }}</i>
                    {% else %}
                        {{ user.userprofile.my_default_subscription.description }}
                    {% endif %}
                </a>
            {% else %}My default subscription
            {% endif %}"
            . (<a href="{% url 'subscriptions' %}">Choose another one</a> )

        {% endif %}

    <div class="tab-content">

        <div role="tabpanel" class="tab-pane active" id="found_events">
    {% if queryset %}
        {% if user.is_authenticated %}
                When you "RemindMe", the event is added to <i>{{ user.userprofile.my_default_subscription.description }}</i>
        {% endif %}
            <table cellpadding="0" cellspacing="0" border="1" class="display" id="eventTable">
                <thead>
                <tr>
                    <th></th>
                    <th>Start</th>
                    <th>Attendee</th>
                    <th>ical</th>
                    <th>Add to default calendar</th>
                    <th>Summary</th>
                    {% if not calendar %}
                        <th>Calendar</th>
                        <th>Subscription</th>
                        <th>Org</th>
                    {% endif %}
                </tr>
                </thead>
                <tbody>

                {% for event,remind, subscription in queryset %}
                    <tr>
                        <td>
                            <small><i><a
                                    href="{% url 'details_on_event' event.id %}">{{ forloop.counter|stringformat:"03d" }}</a>
                            </i>
                            </small>
                        </td>
                        <td>
                            {% if not event.dtstart.time %}
                                {{ event.dtstart|date }}
                            {% else %}
                                {{ event.dtstart }}
                            {% endif %}
                        </td>
                        <td>{{ event.attendee }}</td>
                        <td>{% if event.dtstart > date_now %}
                            <div>
                                <a class="ical" title="Subscribe"
                                   href="{% url 'eventics' event.id %} ">
                                    <img src="{% static 'images/iCal.png' %}" alt="iCal">
                                </a>
                            </div>
                        {% endif %}</td>
                        <td>
                        {% if user.is_authenticated and event.dtstart > date_now and not subscription %}
                            <a href="#" class="remindme" id="{{ event.id }}">{% if remind %}Forget{% else %}RemindMe{% endif %}</a>
                        {% endif %}
                    </td>
                        <td>{% if event.url %}<a href="{{ event.url }}">{{ event.summary }}</a>
                        {% else %}
                            {{ event.summary|urlize }}
                        {% endif %}</td>
                        {% if not calendar and event.calendar %}
                            <td>
                                <a href="{% url 'calendar_detail' event.calendar.id %}">{{ event.calendar|safe }}</a>
                            </td>
                            <td>
                                <a href="#" class="c_sub" id="{{ event.calendar.id }}">{% if subscription %}unsubscribe{% else %}subscribe{% endif %}</a>
                            </td>
                        {% endif %}
                            <td>
                                {% for org in event.calendar.org.all %}
                                    <a href="{% url 'organisation_detail' org.ref %}">{{ org|safe }}</a>
                                {% endfor %}
                            </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
    {% endif %}
        </div>

        <div role="tabpanel" class="tab-pane" id="found_ann">
    {% if qs_announces %}
                When you "RemindMe", the event is added to {{ user.userprofile.my_default_subscription }}

            <table cellpadding="0" cellspacing="0" border="1" class="display" id="annTable">
                <thead>
                <tr>
                    <th></th>
                    <th>Start</th>
                    <th>iCal</th>
                    <th>Add to your default calendar</th>
                    <th>Summary</th>
                    {% if not calendar %}
                        <th>Source</th>
                        <th>Org</th>
                    {% endif %}
                </tr>
                </thead>
                <tbody>

                {% for event,remind in qs_announces %}
                    <tr>
                        <td>
                            <small><i><a
                                    href="{% url 'details_on_event' event.id %}">{{ forloop.counter|stringformat:"03d" }}</a>
                            </i>
                            </small>
                        </td>
                        <td>{{ event.dtstart }}</td>
                    <td>
                        <div>
                            <a class="ical" title="Subscribe"
                               href="{% url 'eventics' event.id %} ">
                                <img src="{% static 'images/iCal.png' %}" alt="iCal">
                            </a>
                        </div>
                    </td>
                    <td>
                        {% if user.is_authenticated and event.dtstart > date_now %}
                                    <a href="#" class="remindme" id="{{ event.id }}">{% if remind %}Forget{% else %}RemindMe{% endif %}</a>
                        {% endif %}
                    </td>
                        <td>{% if event.url %}<a href="{{ event.url }}">{{ event.summary }}</a>
                        {% else %}
                            {{ event.summary }}
                        {% endif %}</td>
                        {% if not calendar %}
                            <td>
                                {% if event.calendar %}
                                    <a href="{% url 'calendar_detail' event.calendar.id %}">{{ event.calendar|safe }}</a>
                                {% endif %}
                            </td>
                             <td>
                                {% for org in event.calendar.org.all %}
                                    <a href="{% url 'organisation_detail' org.ref %}">{{ org|safe }}</a>
                                {% endfor %}</td>
                        {% endif %}
                    </tr>
                {% endfor %}
                </tbody>
            </table>
    {% else %}
        No announce found
    {% endif %}
        </div>



        <div role="tabpanel" class="tab-pane" id="found_cals">
            {% if qs_calendars %}

                <table cellpadding="0" cellspacing="0" border="1" class="display" id="calTable">
                    <thead>
                    <tr>
                        <th><input type="checkbox" id="allcb" name="allcb"/></th>
                        <th>Calendars/Seminars</th>
                        {% if user.is_authenticated and not user.is_superuser %}
                            <th>Subscription</th>
                        {% endif %}
                    <th>Events</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for cal in qs_calendars %}
                        <tr>
                            <td>
                                {% if user.is_authenticated and not user.is_superuser %}
                                    <input type="checkbox" id="cb1" name="cb1"/>
                                    <div>
                                        <a href="#" class="c_sub" id="{{ cal.id }}">{% if user.userprofile.my_default_subscription in cal.subscription_by_cal.all %}unsubscribe{% else %}subscribe{% endif %}</a>
                                    </div>
                                {% endif %}
                            </td>
                            <td>
                                <a href="{% url 'calendar_detail' cal.id %}">{{ cal|safe }}
                                    ({% for org in cal.org.all %}{{ org.name }} / {{ org.city.name }}{% endfor %})
                                </a>
                            </td>
                            {% if user.is_authenticated and not user.is_superuser %}
                                <td>
                                    <a href="{% url 'calfeed' cal_id=cal.pk %} ">RSS</a>
                                    <div>
                                        <a class="ical" title="Subscribe"
                                                {% if 'IC' in cal.parse %}
                                           direct to
                                           href="{{ cal.url_to_parse }}">
                                                {% else %}
                                                    <a href="{% url 'calics' cal_id=cal.pk %} ">
                                                {% endif %}
                                        <img src="{% static 'images/iCal.png' %}" alt="iCal">
                                        </a>
                                    </div>
                                </td>
                            {% endif %}
                            <td>
                                <ul>
                                    {% for evt in cal.myevent_set.all %}
                                        {% if evt and evt.dtstart >= date_now %}
                                            <li>{{ evt }}</li>
                                        {% endif %}
                                    {% endfor %}
                                </ul>
                            </td>
                        </tr>
                    {% endfor %}

                    </tbody>
                </table>
            {% else %}
                No calendar found
            {% endif %}
        </div>



        <div role="tabpanel" class="tab-pane" id="found_orgs">
    {% if qs_orgs %}
            <table cellpadding="0" cellspacing="0" border="1" class="display" id="orgTable">
                <thead>
                <tr>
                    <th>Entitled</th>
                    <th>Location</th>
                    <th>Wardship</th>
                    <th>uri</th>
                </tr>
                </thead>

                <tbody>
                {% for org in qs_orgs %}
                    <tr>
                        <td>
                            <a href="{% url 'organisation_detail' org.ref %}">{{ org|safe }}</a>
                        </td>
                        <td>{% if org.location %}{{ org.location }}{% endif %}</td>
                        <td>{% if org.wardship %}{{ org.wardship }}{% endif %}</td>
                        <td>{% if org.uri %}
                            <a href="{{ org.uri }}">{{ org.uri }}</a>
                        {% endif %}</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
    {% else %}
        No org found
    {% endif %}
        </div>


        <input type="hidden" name="user" id="user" value="{{ user.id }}">

    </div>

{% endblock %}

{% block css %}
    {{ block.super }}
    <link rel="stylesheet" href="{% static 'css/jquery-ui/smoothness/jquery-ui.css' %}"/>
    <!-- extension jquery pour les tableaux -->
    <link rel="stylesheet" type="text/css" href="{% static 'js/DataTables-1.8.2/media/css/demo_table.css' %}"/>
{% endblock %}


{% block controleur_js %}
    {{ block.super }}
    <script src="{% static 'js/jquery-ui.js' %}"></script>
    <!-- extension jquery pour les tableaux -->
    <script src="{% static 'js/DataTables-1.8.2/media/js/jquery.dataTables.js' %}"></script>
    <script src="{% static 'js/subscription.js' %}"></script>
    <script src="{% static 'js/mycalendar.js' %}"></script>

    <script type="text/javascript">
        $(document).ready(function () {
            $('.datepicker').datepicker(
                    {
                        dateFormat: "dd/mm/yy"
                    }
            );
            // to manage subscription
            $('#eventTable').dataTable({
                "aaSorting": [
                    [ 0, "asc" ]
                ],
                "bPaginate": false
            });
            $('#annTable').dataTable({
                "aaSorting": [
                    [ 0, "asc" ]
                ],
                "bPaginate": false
            });
            $('#calTable').dataTable({
                "aaSorting": [
                    [ 0, "asc" ]
                ],
                "bPaginate": false
            });
            $('#orgTable').dataTable({
                "aaSorting": [
                    [ 1, "asc" ]
                ],
                "bPaginate": false
            });
            $('#allcb').change(function () {
                if ($(this).prop('checked')) {
                    $('tbody tr td .c_sub').each(function () {
                        $( ".c_sub" ).trigger( "click" );
                    });
                } else {
                    $('tbody tr td .c_sub').each(function () {
                        $( ".c_sub" ).trigger( "click" );
                    });
                }
            });
        });
      $(function () {
        $('#myTab a:first').tab('show')
      })
    </script>
{% endblock %}

